com.dlsc.flexgantt.swing.treetable

## Interface IRowHeaderMenuProvider<T extends AbstractRowHeader>

- Type Parameters:
    `T` - the type of the row header
  All Known Implementing Classes:
    DefaultRowHeaderMenuProvider

      public interface IRowHeaderMenuProvider<T extends AbstractRowHeader>

  A menu provider is a convenient way of adding a context sensitive popup menu to an instance of `AbstractRowHeader`. This could be the row header of the tree table (`TreeTableRowHeader`) or the row header of the layer container (`LayerContainerRowHeader`).

  When using this provider instead of using the default popup infrastructure `JComponent.setComponentPopupMenu(JPopupMenu)` the information that is usually required by the popup menu gets already delivered to the provider. This information contains the location of the mouse event that triggered the popup and the tree path to the row where the popup got requested.

  Since:
    1.0
  Version:
    $Revision: 1.2 $
  Author:
    Dirk Lemmermann
  See Also:
    `AbstractRowHeader.setMenuProvider(IRowHeaderMenuProvider)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPopupMenu` | `getPopupMenu(T rowHeader, MouseEvent e, TreePath treePath)` Returns a popup menu for the given tree table.

- - ### Method Detail

    - #### getPopupMenu

          JPopupMenu getPopupMenu(T rowHeader,
                                  MouseEvent e,
                                  TreePath treePath)

      Returns a popup menu for the given tree table.
      Parameters:
        `rowHeader` - the row header that requests the popup menu
        `e` - the mouse event that triggered the popup menu request
        `treePath` - the tree path that points to the row where the request occured
      Returns:
        a popup menu that can be used in the context specified by the given parameters
      Since:
        1.0
      See Also:
        `AbstractRowHeader.setMenuProvider(IRowHeaderMenuProvider)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.